Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 597515 - Network-Manager weird behaviour in Fedora 13
Summary: Network-Manager weird behaviour in Fedora 13
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: NetworkManager
Version: 13
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-05-29 10:19 UTC by Nilesh Patil
Modified: 2013-02-06 21:08 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-06-27 16:59:15 UTC


Attachments (Terms of Use)
sosreport of the system (deleted)
2010-05-29 10:21 UTC, Nilesh Patil
no flags Details

Description Nilesh Patil 2010-05-29 10:19:16 UTC
Description of problem:
I have recently done fresh fedora 13 x86_64 installation. In office my Network Manager works fine. Do not observed any problems with it but when I connect to broadband connection at home it often disconnect me from network. When I tried to restart network service it returns following error 

Version-Release number of selected component (if applicable):


How reproducible:
I do not know how to reproduce it as can not blame to my broadband connection which was working fine with fedora 12 before. It never use to disconnect me.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
[root@npatil ~]# /etc/init.d/network restart
Shutting down loopback interface:  Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
                                                           [  OK  ]
Bringing up loopback interface:  Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
Error org.freedesktop.NetworkManagerSettings.InvalidConnection: ifcfg file '/etc/sysconfig/network-scripts/ifcfg-lo' unknown
                                                           [  OK  ]
Bringing up interface eth0:  Error: Connection activation failed: Device not managed by NetworkManager
                                                           [FAILED]

Expected results:
It should not disconnect me in between. Should work smoothly.

Additional info:
Adding sosreport.

Comment 1 Nilesh Patil 2010-05-29 10:21:36 UTC
Created attachment 417834 [details]
sosreport of the system

Comment 2 Jirka Klimes 2010-06-01 11:29:18 UTC
(In reply to comment #0)
> Description of problem:
> I have recently done fresh fedora 13 x86_64 installation. In office my Network
> Manager works fine. Do not observed any problems with it but when I connect to
> broadband connection at home it often disconnect me from network. When I tried
> to restart network service it returns following error 
> 

Could you provide more information.
What device do you use for connection, what technology?
How do you configure and activate it? Using nm-applet, nm-connection-editor?
What are the exact symptoms of your issue?

You can use
http://live.gnome.org/NetworkManager/Debugging tips for better debugging.

> Version-Release number of selected component (if applicable):
> 
> 
> Actual results:
> [root@npatil ~]# /etc/init.d/network restart

You should use /etc/init.d/NetworkManager restart instead to restart NetworkManager.
'network' is a legacy service for networking.

The sosreport contains too much information and it's hard to find relevant bits with little input.

Thanks!

Comment 3 Tarek Said 2010-07-08 15:30:00 UTC
Workaround that worked for me:

# /etc/init.d/NetworkManager stop

Add a BOOTPROTO=dhcp if you use dhcp to /etc/sysconfig/network-scripts/ifcfg-<interface_here> or populate file with required values for a static assignment

# /etc/init.d/network start

If the above works for you, you can make it the changes survive a reboot by doing:

# chkconfig NetworkManager off
# chkconfig network on

Comment 4 bff38auxo@naver.com 2010-07-11 15:29:41 UTC
Thank you, Tarek.

I could solve this problem of your comment.

Comment 5 Tarek Said 2010-07-12 19:39:53 UTC
Glad it solves the problem but it doesn't solve the root cause since RH is promoting NetworkManager. If I can help in any way, please let me know.

Comment 6 Jirka Klimes 2010-07-13 10:44:15 UTC
(In reply to comment #5)
> Glad it solves the problem but it doesn't solve the root cause since RH is
> promoting NetworkManager. If I can help in any way, please let me know.    

Sure you can. Please, describe exactly what your problem is and what you do. And include the logs. Particularly /var/log/messages.


Looking again at logs in comment #1, I think there could be a problem with the ethernet switch/router that tears the link. Also, the reporter says that it works in the office, but cause problems at home, which supports this assumption.

May 27 22:46:26 npatil kernel: e1000e: eth0 NIC Link is Down
May 27 22:46:26 npatil NetworkManager[1227]: <info> (eth0): carrier now OFF (device state 8, deferring action for 4 seconds)
May 27 22:46:28 npatil kernel: e1000e: eth0 NIC Link is Up 100 Mbps Full Duplex, Flow Control: None
May 27 22:46:28 npatil kernel: 0000:00:19.0: eth0: 10/100 speed: disabling TSO
May 27 22:46:28 npatil NetworkManager[1227]: <info> (eth0): carrier now ON (device state 8)
May 27 22:53:23 npatil kernel: e1000e: eth0 NIC Link is Down
May 27 22:53:23 npatil NetworkManager[1227]: <info> (eth0): carrier now OFF (device state 8, deferring action for 4 seconds)

Comment 7 mjbtex 2011-02-14 02:28:32 UTC
TRY

/etc/init.d/NetworkManager stop


/etc/init.d/network start
#Should get IP now


Yum update
or 
Yum Update NetworkManager
# Network manager gets updated


/etc/init.d/network stop


/etc/init.d/NetworkManager start
# Updated Networkmanager works

Comment 8 Bug Zapper 2011-06-02 12:56:54 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 9 Bug Zapper 2011-06-27 16:59:15 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.